For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a webhook by resource ID
      • DELDelete an existing webhook
      • PATCHPatch an existing webhook
      • DELRemove the webhook secret, this will roll the existing one
      • PATCHGet a new webhook secret, this rolls the current token
      • POSTTrigger notification for a webhook in penalty box
      • POSTTest a webhook connection
      • GETGet a list of all webhooks
      • POSTCreate a web hook
      • GETGet a list of all available actions
      • POSTTest a webhook connection before create a webhook
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIWebhooks

Create a web hook

POST
/v:version/webhooks
POST
/v:version/webhooks
$curl -X POST https://test.api.solvimon.com/v1/webhooks \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "url": "https://webhook.site",
> "name": "Invoice finalised",
> "reference": "invoice_finalised",
> "username": "banking_as_a_service@solvimon.com",
> "password": "super_secure",
> "api_header_field": "X-API-KEY",
> "api_key": "dfPNT2KBbdHEm05s3R1lS8PavuyDGR0eJZPwZzSh",
> "included_actions": [
> "INVOICE.STATUS_TO_FINAL"
> ],
> "excluded_actions": [
> "INVOICE.PAID"
> ],
> "active": true,
> "signing_protocol": "HmacSHA256",
> "previous_signing_protocol": "HmacSHA256",
> "secret_rolled_at": "2024-04-12T15:22:37Z",
> "include_previous_data": true,
> "email": "banking_client@bigbank.com"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "username": "string",
5 "api_header_field": "string",
6 "url": "string",
7 "included_actions": [
8 "string"
9 ],
10 "excluded_actions": [
11 "string"
12 ],
13 "active": true,
14 "penalty_box": "string",
15 "secret_key": "string",
16 "signing_protocol": "string",
17 "previous_secret_key": "string",
18 "previous_signing_protocol": "string",
19 "secret_rolled_at": "string",
20 "include_previous_data": true,
21 "authentication_type": "PASSWORD",
22 "penalty_box_data": {
23 "retry_count": 1,
24 "retry_at": "string",
25 "cause": "string",
26 "payload": "string"
27 },
28 "name": "string",
29 "reference": "string"
30}
Requires the WEBHOOK.CREATE permission.
Was this page helpful?
Previous

Get a list of all available actions

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
urlstring or nullRequired
The url of the webhook where webhooks will be sent.
namestring or nullRequired
referencestring or nullRequired
usernamestring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The username used for basic authentication.
passwordstring or nullOptionalformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The password used for basic authentication.
api_header_fieldstring or nullOptionalformat: "^[a-zA-Z0-9_\-]*"0-256 characters
The name of the header field for authentication with an API key.
api_keystring or nullOptionalformat: "^[a-zA-Z0-9]*"0-256 characters
The value of for authentication with an API key.
included_actionslist of strings or nullOptional
The actions of which a webhook will be sent.
excluded_actionslist of strings or nullOptional
The actions of which a webhook will not be sent.
activebooleanOptional
The status of the webhook.
signing_protocolstring or nullOptional
The signing protocol for the webhook.
previous_signing_protocolstring or nullOptional
secret_rolled_atstring or nullOptional
The instant when the secret was rolled.
include_previous_databooleanOptional
Define whether the webhook payload include the previous status or only the current status
authentication_typeenumOptional
The type of authentication used for the webhook.
Allowed values:
penalty_box_dataobject or nullOptional
Indicates if this webhook is in the penalty box

Response

Created
object_typestring or nullRead-only
idstring or nullRead-only
usernamestring or nullformat: "^[a-zA-Z0-9!#$%&-_.*]*$"0-256 characters
The username used for basic authentication.
api_header_fieldstring or nullformat: "^[a-zA-Z0-9_\-]*"0-256 characters
The name of the header field for authentication with an API key.
urlstring or null
The url of the webhook where webhooks will be sent.
included_actionslist of strings or null
The actions of which a webhook will be sent.
excluded_actionslist of strings or null
The actions of which a webhook will not be sent.
activeboolean
The status of the webhook.
penalty_boxstring or nullRead-only
secret_keystring or nullRead-only
signing_protocolstring or null
The signing protocol for the webhook.
previous_secret_keystring or nullRead-only
previous_signing_protocolstring or null
secret_rolled_atstring or null
The instant when the secret was rolled.
include_previous_databoolean
Define whether the webhook payload include the previous status or only the current status
authentication_typeenum
The type of authentication used for the webhook.
Allowed values:
penalty_box_dataobject or null
Indicates if this webhook is in the penalty box
namestring or null
referencestring or null

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error